# author Aaron Moser

import threading

class GlobalOutcome:

    def __init__(self):
        self.tries_count_lock = threading.Lock()
        self.tries = 0
        self.count = 0    

    def update_tries_count(self, new_tries:int, new_count:int):
        with self.tries_count_lock:
            self.tries += new_tries
            self.count += new_count

    def get_tries_count(self):
        with self.tries_count_lock:
            return self.tries, self.count
        
    def reset_tries_count(self):
        with self.tries_count_lock:
            tries = 0
            count = 0